



panellinfo = {};

function panellinfo.prerequisitesPresent(specializations)
    return true;
end;

function panellinfo:load(xmlFile)

	self.controlpath = Utils.getFilename("info.png", self.baseDirectory);
    self.helpPoxX = 0.7;
    self.helpPoxY = 0.6;
    self.helpWidth = 0.25;
    self.helpHeight = 0.25;
    self.helpOverlay = Overlay:new("info", self.controlpath, self.helpPoxX, self.helpPoxY, self.helpWidth, self.helpHeight);
    self.bcActive = true;

end;

function panellinfo:keyEvent(unicode, sym, modifier, isDown)

		if isDown and sym == 48 then -- Key: 0
			self.bcActive = not self.bcActive;
		end;

end;

function panellinfo:update(dt)

end;

function panellinfo:draw()

	 if self.helpOverlay ~= nil then
		if self.bcActive then
		self.helpOverlay:render();
		end;
	end;
		if self.bcActive then	
			g_currentMission:addExtraPrintText("Key 0: Info Off");
		else
			g_currentMission:addExtraPrintText("Key 0: Info On");
		end;

end;

function panellinfo:onEnter()
end;

function panellinfo:onLeave()
end;

function panellinfo:delete()
end;

function panellinfo:mouseEvent(posX, posY, isDown, isUp, button)
end;

function panellinfo:validateAttacherJoint(implement, jointDesc, dt)
    return true;
end;





